# Generated by Django 3.1.5 on 2021-02-03 02:50

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='AnimalDisposition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Animal',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('breed', models.CharField(max_length=255)),
                ('date_added', models.DateField(auto_now_add=True)),
                ('date_of_birth', models.DateField()),
                ('description', models.TextField()),
                ('gender', models.CharField(choices=[('Female', 'Female'), ('Male', 'Male')], max_length=255)),
                ('kind', models.CharField(choices=[('Cat', 'Cat'), ('Dog', 'Dog'), ('Other', 'Other')], max_length=255)),
                ('name', models.CharField(max_length=255)),
                ('status', models.CharField(choices=[('Adopted', 'Adopted'), ('Available', 'Available'), ('In Foster', 'In Foster'), ('Pending', 'Pending')], max_length=255)),
                ('dispositions', models.ManyToManyField(to='animals.AnimalDisposition')),
            ],
        ),
    ]
